<script setup lang="ts">
import type { BlogPage } from '@/types/blog';

defineProps<{
  mainPost: BlogPage;
  featuredList: BlogPage[];
}>();
</script>

<template>
  <SlpContainer variant="charcoal-75" class="charcoal-background">
    <div class="hero-container">
      <div class="main-container">
        <a
          v-if="mainPost"
          class="main-card"
          :href="mainPost.config.externalUrl || `/blog/${mainPost.config.slug}`"
          :data-ga-name="`${mainPost?.content.title.toLowerCase()}`"
          data-ga-location="featured blog post"
        >
          <SlpTypography
            v-if="mainPost.content.category"
            variant="body1-bold"
            tag="p"
            class="category"
            role="doc-subtitle"
            >{{ mainPost.content.category }}</SlpTypography
          >
          <div v-if="mainPost" class="body">
            <NuxtImg v-if="mainPost.content.heroImage" :src="mainPost.content.heroImage" alt="" />
            <SlpTypography v-if="mainPost.content.title" variant="heading3-bold" tag="h3">{{
              mainPost.content.title
            }}</SlpTypography>
            <SlpTypography v-if="mainPost.content.description" variant="body1" tag="p">{{
              mainPost.content.description
            }}</SlpTypography>
          </div>
        </a>
      </div>
      <div class="list-container">
        <a
          v-for="post in featuredList"
          :key="post.content.title"
          :href="post.config.externalUrl || `/blog/${post.config.slug}`"
          :data-ga-name="`${post.content.title.toLowerCase()}`"
          data-ga-location="body"
          class="list-card"
        >
          <SlpTypography
            v-if="post.content.category"
            variant="body1-bold"
            class="category slp-my-8"
            role="doc-subtitle"
            tag="p"
            >{{ post.content.category }}</SlpTypography
          >
          <div class="body">
            <SlpTypography v-if="post.content.title" variant="heading5-bold" tag="h4">{{
              post.content.title
            }}</SlpTypography>
            <SlpTypography v-if="post.content.description" variant="body1" tag="p">{{
              post.content.description
            }}</SlpTypography>
          </div>
        </a>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.charcoal-background {
  background-image: linear-gradient(180deg, #fff 0 25%, #171321 25% 100%);
}
.hero-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 30px;
  @media (min-width: $breakpoint-lg) {
    grid-template-columns: 1fr 1fr;
  }
  .main-container {
    .main-card {
      padding: 24px;
      border-radius: 8px;
      transition: 0.3s ease-out;
      height: 100%;
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      gap: 24px;
      cursor: pointer;
      background: $color-surface-950;
      img {
        max-width: 100%;
        @media (min-width: $breakpoint-lg) {
          height: 345px;
          width: 580px;
          object-fit: cover;
        }
      }
      .body {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 24px;
        color: $color-text-300;
      }
      &:hover {
        border-bottom-right-radius: 50px;
      }
    }
  }
  .list-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 24px;
    .list-card {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      gap: 8px;
      cursor: pointer;
      padding: 24px 40px;
      background: white;
      border-radius: 8px;
      border: 1px solid $color-surface-200;
      background: #fff;
      transition: 0.3s ease-out;
      .body {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 8px;
        cursor: pointer;
        color: $color-text-300;
      }
      &:hover {
        border-bottom-right-radius: 50px;
        background: #f6f3fe;
      }
    }
  }
}
.category {
  color: $color-text-link-100;
}
</style>
